function theResult = tell(self)

% batch/tell -- Tell the batch-file position.
%  tell(self) returns the present offset of the
%   current batch-file being executed by self,
%   the batch monitor.
 
% Copyright (C) 1999 Dr. Charles R. Denham, ZYDECO.
%  All Rights Reserved.
%   Disclosure without explicit written consent from the
%    copyright owner does not constitute publication.
 
% Version of 18-Oct-1999 20:53:33.
% Updated    18-Oct-1999 20:53:33.

result = ftell(self.itsBatchFilePtr);

if nargout > 0
	theResult = result;
else
	assignin('caller', 'ans', result)
end
