function theResult = subsindex(self)

% pxsurface/subsindex -- Subscript index.
 
% Copyright (C) 1997 Dr. Charles R. Denham, ZYDECO.
%  All Rights Reserved.
%   Disclosure without explicit written consent from the
%    copyright owner does not constitute publication.
 
% Version of 25-Jun-1997 11:34:21.

if nargin < 1, help(mfilename), return, end

s = logical(pxvalue(self));
result = find(s) - 1;   % Zero-based indices.

if nargout > 0, theResult = result; end
