function status = DoZoomY(theFactor, theAxes)

% DoZoomY -- No help available.
% DoZoomY -- Zoom the limits of 'y' axes.
%  DoZoomY(theFactor, theAxes) zooms the 'y' limits of theAxes
%   (default = all axes in gcf) by theFactor (default = 2).
 
% Copyright (C) 1996-7 Dr. Charles R. Denham, ZYDECO.
% All Rights Reserved.

if nargin < 1, theFactor = 2; end
if nargin < 2, theAxes = []; end

result = dozoom(theFactor, theAxes, 'y');

if nargout > 0, status = result; end
