function theResult = isbatch

% isbatch -- Is the "batch" system active?
%  isbatch (no argument) returns TRUE if the "batch"
%   system is active; otherwise, it returns FALSE.
 
% Copyright (C) 1999 Dr. Charles R. Denham, ZYDECO.
%  All Rights Reserved.
%   Disclosure without explicit written consent from the
%    copyright owner does not constitute publication.
 
% Version of 18-Oct-1999 20:44:15.
% Updated    18-Oct-1999 20:44:15.

result = running(batch);

if nargout > 0
	theResult = result;
else
	assignin('caller', 'ans', result)
end
